> ## Documentation Index
> Fetch the complete documentation index at: https://developer.willro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Information



## OpenAPI

````yaml GET /integration/business-api/info
openapi: 3.0.3
info:
  title: Willro API
  version: 1.0.0
  description: API documentation for Willro sandbox integration endpoints.
servers:
  - url: https://prod.willro.com/api/v1
security:
  - ApiKeyAuth: []
paths:
  /integration/business-api/info:
    get:
      summary: Get Business Info
      responses:
        '200':
          description: Business info retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessInfo'
        '401':
          description: Unauthorized. Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthError'
components:
  schemas:
    BusinessInfo:
      type: object
      properties:
        businessName:
          type: string
          description: Name of the business shown publicly.
          example: ExampleCo
        website:
          type: string
          format: uri
          description: URL of the business website.
          example: https://example.com
        category:
          type: string
          description: Business category describing industry or sector.
          example: Retail
        averageRating:
          type: number
          description: Average user rating of the business on the platform.
          example: 3.2
        totalReview:
          type: integer
          description: Total number of user reviews for the business.
          example: 12
        googleMapUrl:
          type: string
          format: uri
          description: Link to the business's location on Google Maps.
          nullable: true
          example: null
        location:
          type: string
          description: Business physical location or address.
          nullable: true
          example: London, UK
        ratingsBreakdown:
          type: array
          description: Breakdown of ratings by value and count.
          items:
            type: object
            properties:
              count:
                type: integer
              rating:
                type: integer
                minimum: 1
                maximum: 5
      example:
        businessName: ExampleCo
        website: https://example.com
        category: Retail
        averageRating: 3.2
        totalReview: 12
        googleMapUrl: null
        location: London, UK
        ratingsBreakdown:
          - count: 3
            rating: 5
          - count: 4
            rating: 4
    AuthError:
      type: object
      properties:
        code:
          type: integer
          example: 401
        message:
          type: string
          example: API key is required
        timestamp:
          type: string
          format: date-time
          example: '2025-07-09T08:33:54.383Z'
        path:
          type: string
          example: /api/integration/business-api/reviews?page=1&limit=10
        error:
          type: string
          example: Unauthorized
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Use this API Key:
        willro_live_sk_95ad4a1e-48ac-4872-ae02-0d40072b60bf_6b7ec4b3af7911a65ee1c3a5ce3fe84b8c2e34136ca71030

````